Summary:	IBM JFS utility programs
Name:		jfsutils
Version:	1.1.15
Release:	%mkrel 3
License:	GPLv3
Group:		System/Kernel and hardware
URL:		http://jfs.sourceforge.net/
Source0:	http://jfs.sourceforge.net/project/pub/%{name}-%{version}.tar.gz
Patch0:		jfsutils-1.1.12-uuid.patch
Patch1:		jfsutils-1.1.15-inttypes.patch
Patch2:		jfsutils-1.1.15-string-literal.diff
Obsoletes:	jfsprogs < %version-%release
Provides:	jfsprogs = %version-%release
BuildRequires:	libblkid-devel
BuildRequires:	libuuid-devel

%description
The jfsutils package contains a number of utilities for creating,
checking, modifying, and correcting any inconsistencies in JFS
filesystems.  The following utilities are available: fsck.jfs - initiate
replay of the JFS transaction log, and check and repair a JFS formatted
device; logdump - dump a JFS formatted device's journal log; logredo -
"replay" a JFS formatted device's journal log;  mkfs.jfs - create a JFS
formatted partition; xchkdmp - dump the contents of a JFS fsck log file
created with xchklog; xchklog - extract a log from the JFS fsck workspace
into a file;  xpeek - shell-type JFS file system editor.

%prep
%setup -q 
%patch0 -p1 -b .uuid
%patch1 -p1 -b .inttypes
%patch2 -p1 -b .literal

%build
%configure2_5x	--sbindir=%{_sbindir}
%make 

%install
%makeinstall_std

%files
%{_sbindir}/*
%{_mandir}/*/*


%changelog

* Tue Jan 15 2013 sander85 <sander85> 1.1.15-3.mga3
+ Revision: 388418
- Fix build (patch from Arch Linux)

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 31 2011 tv <tv> 1.1.15-2.mga2
+ Revision: 131084
- patch 2: further more string literal fixes
- patch 2: more string literal fixes
- new release
- drop patch 1 (merged upstream)
- fix tarball URL

* Sat Apr 30 2011 misc <misc> 1.1.13-4.mga1
+ Revision: 93880
- increase release to update from mandriva

* Wed Feb 09 2011 ennael <ennael> 1.1.13-3.mga1
+ Revision: 49533
- remove manbo macro
- imported package jfsutils

